/[gentoo-x86]/eclass/depend.apache.eclass
Gentoo

Diff of /eclass/depend.apache.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.8 Revision 1.16
1# Copyright 2004 Gentoo Technologies, Inc. 1# Copyright 2004-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License, v2 or later 2# Distributed under the terms of the GNU General Public License, v2 or later
3# Author Michael Tindal <mtindal@gmail.com>
4# $Header: /var/cvsroot/gentoo-x86/eclass/depend.apache.eclass,v 1.8 2005/01/21 00:00:53 trapni Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/depend.apache.eclass,v 1.16 2005/07/06 20:20:03 agriffis Exp $
5ECLASS=depend.apache
6INHERITED="$INHERITED $ECLASS" 4INHERITED="$INHERITED $ECLASS"
7 5
8###### 6######
9## Apache Common Variables 7## Apache Common Variables
10## 8##
16#### 14####
17## APACHE_VERSION 15## APACHE_VERSION
18## 16##
19## Stores the version of apache we are going to be ebuilding. This variable is 17## Stores the version of apache we are going to be ebuilding. This variable is
20## set by the need_apache{|1|2} functions. 18## set by the need_apache{|1|2} functions.
19##
20## This needs to stay as '1' until apache2 is on by default -- although it
21## doesn't matter much as it's set by the need_apache functions.
21#### 22####
22APACHE_VERSION='2' 23APACHE_VERSION='1'
23 24
24#### 25####
25## APXS1, APXS2 26## APXS1, APXS2
26## 27##
27## Paths to the apxs tools 28## Paths to the apxs tools
80 81
81#### 82####
82## APACHE1_DEPEND, APACHE2_DEPEND 83## APACHE1_DEPEND, APACHE2_DEPEND
83## 84##
84## Dependencies for apache 1.x and apache 2.x 85## Dependencies for apache 1.x and apache 2.x
85##
86## apache2 must be at least version 2.0.52-r3, this is lowest version 86## - apache2 must be at least version 2.0.52-r3, this is lowest version
87## containing our new overall changes -- trapni (Jan 21 2005) 87## containing our new overall changes -- trapni (Jan 21 2005)
88## apache1 must be at least version 1.3.33-r1, but how to 88## - apache1 must be at least version 1.3.33-r1, but how to
89## define the DEPEND here? (FIXME) -- trapni (Jan 21 2005) 89## define the DEPEND here? (FIXME) -- trapni (Jan 21 2005)
90## - currently not possible - bug #4315 -- vericgar (Jan 21 2005)
90#### 91####
91APACHE1_DEPEND="=net-www/apache-1*" 92APACHE1_DEPEND="=net-www/apache-1*"
92APACHE2_DEPEND=">=net-www/apache-2.0.52-r3" 93APACHE2_DEPEND=">=net-www/apache-2.0.54-r10"
94
95
96####
97## APACHE_DEPEND
98##
99## Dependency magic based on useflags to use the right DEPEND
100####
101
102APACHE_DEPEND="apache2? ( ${APACHE2_DEPEND} ) !apache2? ( ${APACHE1_DEPEND} )"
93 103
94#### 104####
95## need_apache1 105## need_apache1
96## 106##
97## An ebuild calls this to get the dependency information 107## An ebuild calls this to get the dependency information
102#### 112####
103need_apache1() { 113need_apache1() {
104 debug-print-function need_apache1 114 debug-print-function need_apache1
105 115
106 DEPEND="${DEPEND} ${APACHE1_DEPEND}" 116 DEPEND="${DEPEND} ${APACHE1_DEPEND}"
117 RDEPEND="${RDEPEND} ${APACHE1_DEPEND}"
107 APACHE_VERSION='1' 118 APACHE_VERSION='1'
108} 119}
109 120
110#### 121####
111## need_apache2 122## need_apache2
118#### 129####
119need_apache2() { 130need_apache2() {
120 debug-print-function need_apache2 131 debug-print-function need_apache2
121 132
122 DEPEND="${DEPEND} ${APACHE2_DEPEND}" 133 DEPEND="${DEPEND} ${APACHE2_DEPEND}"
134 RDEPEND="${RDEPEND} ${APACHE2_DEPEND}"
123 APACHE_VERSION='2' 135 APACHE_VERSION='2'
124} 136}
125 137
138####
139## DO NOT CHANGE THIS FUNCTION UNLESS YOU UNDERSTAND THE CONSEQUENCES IT
140## WILL HAVE ON THE CACHE! There MUST be a apache2? () block in DEPEND for
141## things to work correct in the dependency calculation stage.
142####
126need_apache() { 143need_apache() {
127 debug-print-function need_apache 144 debug-print-function need_apache
128 145
129 IUSE="${IUSE} apache2" 146 IUSE="${IUSE} apache2"
147 DEPEND="${DEPEND} ${APACHE_DEPEND}"
148 RDEPEND="${RDEPEND} ${APACHE_DEPEND}"
130 if useq apache2; then 149 if useq apache2; then
131 need_apache2 150 APACHE_VERSION='2'
151 USE_APACHE2=2
152 APXS="$APXS2"
153 APACHECTL="${APACHECTL2}"
154 APACHE_BASEDIR="${APACHE2_BASEDIR}"
155 APACHE_CONFDIR="${APACHE2_CONFDIR}"
156 APACHE_MODULES_CONFDIR="${APACHE2_MODULES_CONFDIR}"
157 APACHE_VHOSTSDIR="${APACHE2_VHOSTSDIR}"
158 APACHE_MODULESDIR="${APACHE2_MODULESDIR}"
132 else 159 else
133 need_apache1 160 APACHE_VERSION='1'
161 APXS="$APXS1"
162 USE_APACHE2=
163 APACHECTL="${APACHECTL1}"
164 APACHE_BASEDIR="${APACHE1_BASEDIR}"
165 APACHE_CONFDIR="${APACHE1_CONFDIR}"
166 APACHE_MODULES_CONFDIR="${APACHE1_MODULES_CONFDIR}"
167 APACHE_VHOSTSDIR="${APACHE1_VHOSTSDIR}"
168 APACHE_MODULESDIR="${APACHE1_MODULESDIR}"
134 fi 169 fi
135} 170}
136

Legend:
Removed from v.1.8  
changed lines
  Added in v.1.16

  ViewVC Help
Powered by ViewVC 1.1.20